Ubuntu 64: Como criar um chroot para aplicações 32 bits

Neste artigo vou demonstrar como podemos criar um ambiente chroot, a fim de nos tornarmos aptos a rodar algumas aplicações ainda não portadas para o sistema operacional de 64 bits.

[ Hits: 54.832 ]

Por: Percival F. Jr. em 03/11/2006 | Blog: http://www.debianbrasil.890m.com


Jogos no chroot... e a minha NVidia?



Mesmo tendo linkado o /dev para o chroot, você pode perceber que, no caso da placa NVidia, a aceleração não está funcionando. Verifique no Ubuntu com um:

$ glxinfo | grep direct

Se o resultado for "Yes", quer dizer que está configurada (se for "No", corra atrás disso, porque eu não ensinar como fazê-lo aqui). Agora tente no Debian:

$ dchroot -d
$ glxinfo | grep direct


O resultado será "No"... vamos instalar o pacote da NVidia no Debian também. Mas existe um problema: o pacote do Ubuntu nvidia-glx é diferente do Debian e não encontrei repositório do Debian com este pacote. Usaremos o do Ubuntu mesmo. Abra um terminal:

$ sudo gedit /chroot/etc/apt/sources.list

E adicione os repositórios:

deb http://br.archive.ubuntu.com/ubuntu breezy main restricted

deb-src http://br.archive.ubuntu.com/ubuntu breezy main restricted

deb http://br.archive.ubuntu.com/ubuntu breezy-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu breezy-updates main restricted

deb http://br.archive.ubuntu.com/ubuntu breezy universe
deb-src http://br.archive.ubuntu.com/ubuntu breezy universe

deb http://br.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu breezy-security main restricted
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted

deb http://security.ubuntu.com/ubuntu breezy-security universe
deb-src http://security.ubuntu.com/ubuntu breezy-security universe

Entre no chroot:

$ dchroot -d
$ sudo apt-get update


E instale o pacote de mesma versão que o Ubuntu:

$ sudo apt-get install nvidia-glx

Pode conferir que sua placa estará funcionando agora. Não se esqueça de apagar estes últimos repositórios do seu sources.list e realizar um apt-get update. Não precisará mais deles.

Página anterior     Próxima página

Páginas do artigo
   1. Introdução
   2. Instalando o chroot
   3. Instalando o Debian Sarge
   4. Arrumando a casa
   5. Instalando o desktop Debian
   6. Linkando aplicações do chroot para o Ubuntu
   7. Jogos no chroot... e a minha NVidia?
   8. Considerações finais
Outros artigos deste autor

Emulando o saudoso jogo ELITE em seu Linux

Como selecionar que processos serão iniciados ao boot - sysv-rc-conf

Linux_logo: customizando até o SHELL do seu GNU/Linux

Livestation - Assista TV no seu GNU/Linux

MSX: os bons tempos estão de volta II

Leitura recomendada

Polindo o seu Debian - KDE + Debian-Sid

Apache 2.4 - A diretiva Options

Instalando e configurando ntfs-3g no CentOS 5.2 Linux

Debian + Xorg + Nvidia - Um conceito visual para desktops

Configuração automática (mesmo) de proxy com WPAD

  
Comentários
[1] Comentário enviado por removido em 23/11/2006 - 10:55h

Parabéns pelo artigo.
Funcionou tudo muito bem.

Sucesso.

[2] Comentário enviado por gilps em 17/03/2007 - 15:36h

Muito show!
Gostaria de saber se a perda de performance em relação ao aceleração opengl, pelo chroot?

Artigo nota 10!

[3] Comentário enviado por gilps em 17/03/2007 - 20:51h


[4] Comentário enviado por jose.rob.jr em 10/05/2007 - 23:41h

Não consegui... :(

No passo 5 dá: E: Broken packages

[5] Comentário enviado por jose.rob.jr em 11/05/2007 - 13:31h

agora consegui :D

deixei os repositórios originais do debian e funciono :)

Parabens pelo artigo! Fico muito bom!

[6] Comentário enviado por diogochemistry em 20/07/2007 - 23:20h

Olá amigo tive um problema na instalação. No passo 5 ocorreu o seguinte erro:

diogo-desktop:/# apt-get install gnome gnome-core
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
gnome: Depends: gnome-desktop-environment (= 64) but it is not going to be installed
Depends: gnome-office (= 64) but it is not going to be installed
Depends: bluefish but it is not going to be installed
Depends: evolution (>= 2.0.3) but it is not going to be installed or
balsa but it is not going to be installed
Depends: gnome-cups-manager (>= 0.25) but it is not going to be installed
Depends: gnome-nettool but it is not going to be installed
Depends: gnome-system-tools (>= 1.0.0) but it is not going to be installed
Depends: gnome-themes-extras but it is not going to be installed
Depends: rhythmbox but it is not going to be installed
Depends: synaptic (>= 0.53.4) but it is not going to be installed or
gnome-apt but it is not going to be installed
Depends: totem but it is not going to be installed
Depends: vino (>= 2.8.1) but it is not going to be installed
Depends: xscreensaver but it is not going to be installed
gnome-core: Depends: bug-buddy (>= 2.8.0) but it is not going to be installed
Depends: eog (>= 2.8.2) but it is not going to be installed
Depends: gedit (>= 2.8.2) but it is not going to be installed
Depends: gnome-applets (>= 2.8.2) but it is not going to be installed
Depends: gnome-control-center (>= 1:2.8.1) but it is not going to be installed
Depends: gnome-panel (>= 2.8.2) but it is not going to be installed
Depends: gnome-session (>= 2.8.1) but it is not going to be installed
Depends: gnome-terminal (>= 2.8.2) but it is not going to be installed
Depends: metacity (>= 1:2.8.8) but it is not going to be installed or
sawfish but it is not going to be installed
Depends: nautilus (>= 2.8.2) but it is not going to be installed
Depends: yelp (>= 2.6.5) but it is not going to be installed
E: Broken packages
diogo-desktop:/#


como eu saio dessa?
Alguem pode me ajudar?

[7] Comentário enviado por diogochemistry em 21/07/2007 - 00:54h

Como o passo 5 era opcional e eu tive problemas passei para o passo 6 e descobri mais um problema. o comando:
sudo apt-get install synaptic
Está me retornando a seguinte msg:
[email protected]:~$ sudo apt-get install synaptic
bash: sudo: command not found

alguem pode me ajudar? Me desculpem todos mais eu sou novato no mundo linux e estou apanhando muito em coisas q sei que são básicas.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts